Support » Plugin: Falang multilanguage for WordPress » Not compatible with Elementor page builder

  • Resolved alainmelsens

    (@alainmelsens)


    Hello,
    I have troubles when I lauch a page for translation with Elementor page builder.
    Before Elementor open, there is a message that states: ‘Preview could not be loaded’. So, the page will not open in Elementor.
    I have deleted all browser caches, also webserver caches. Resaved the Permalinks etc. Nothing helps.
    But when I disable the Falang plugin, I can open these page without problems in Elementor. So, it seems that Falang plugin is not compatible (yet) with Elementor.
    That’s too sad. Because Elementor is the most used page builder at this moment and it becomes important the build and use translated or multilanguage website with Elementor and a good multilangiage plugin. But at this state, it will not be Falang. 🙁

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author sbouey

    (@sbouey)

    Hi,

    For elementor i’m building a tool like divi with add an extra tab

    Falang Divi Translation

    It’s another approch because most of the time you just have to translate some static text and link
    I will see what wrong , do you have the last WordPress and Elemetor version ?

    Stéphane

    Plugin Author sbouey

    (@sbouey)

    Hi,

    Tested with
    Falang 1.3
    Elementor 2.9.13 and 2.9.14 without problem.
    Wordpress 5.4.2

    Without problem.

    Can you contact me on faboba.com site to give me access to see the problem.

    Stéphane

    • This reply was modified 7 months, 2 weeks ago by sbouey.
    Thread Starter alainmelsens

    (@alainmelsens)

    Hi,
    Sorry for my late reply. I was taken a break…
    Now I have retried with all latest versions of all used plugins and with WordPress 5.5:
    Falang 1.3.1
    Elementor 2.9.14
    WordPress 5.5

    And I have the same problem. Ok, I will contact you on fabola.com.

    Plugin Author sbouey

    (@sbouey)

    Hi,

    I receive your email i have responded.
    I will post the solution if this problem.

    Stéphane

    Thread Starter alainmelsens

    (@alainmelsens)

    Hi,
    In the meantime, we have good contact. Your support is simply the best ever! Thanks for all work you did to prove that Falang is, or will be comapatible with Elementor.
    I keep this ticket open, because it’s not finished completly.
    When it is officially and publicly known that Falang works well with Elementor, I will close this ticket.

    Thread Starter alainmelsens

    (@alainmelsens)

    Hi,
    This morning, “Falang for Elementor Lite” the first version 1.0 was released!
    Falang can be made compatible with Elementor by installing and activating an additional WordPress plugin “Falang for Elementor Lite”. This can be found at: https://wordpress.org/plugins/falang-for-elementor-lite/
    So, for me the problem is solved and I can close this ticket now.
    Congratulations with this great work you have done! SUPER!
    And thanks for the biggest support ever!

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.